Subject: Re: bug#38079: On Windows tramp hangs after server-start is called

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Nov 2019 20:11:10 +0200

> Cc: [email-masked]
> From: Wanrong Lin <[email-masked]>
> Date: Wed, 6 Nov 2019 11:50:59 -0500
> 
> But I don't understand the underlying difficulty to ensure
> system-name never changes.

There are two system calls that return this information on Windows,
and they treat the letter-case differently.  The second system call
needs the winsock layer to be initialized, and we don't want to do
that at startup because it causes various problems (sorry, I no longer
remember the details of that part).  So we only call the network-aware
system call after some network connection is available.